> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/.net-.netcore/msbuild-error-msb4025-when-using-sealights-agent.md).

# MSBuild Error MSB4025 when using Sealights Agent

## Problem <a href="#problem" id="problem"></a>

In certain cases integrating our agent as part of MSBuild causes the build to fail with '`Error MSB4025: The project file could not be loaded. Could not find file ... .metaproj`'

## Solution <a href="#solution" id="solution"></a>

This can be solve by doing the following - depending on your MSBuild version.

### MSBuild version 14 <a href="#msbuild-version-14" id="msbuild-version-14"></a>

Set the MSBuildEmitSolution environment variable to 1 before running MSBuild itself.

{% code overflow="wrap" lineNumbers="true" %}

```
set MSBuildEmitSolution=1
Msbuild SlnFolders.sln
```

{% endcode %}

### MSBuild version 15 <a href="#msbuild-version-15" id="msbuild-version-15"></a>

Add the `--msBuildVersion 15` flag to the Sealights' .NET agent `prepareForMsBuild` command:

{% code overflow="wrap" lineNumbers="true" %}

```
SL.DotNet.exe prepareForMsBuild  --buildSessionIdFile buildSessionId.txt --workspacePath "C:\path\to\project" --msBuildVersion 15
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/.net-.netcore/msbuild-error-msb4025-when-using-sealights-agent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
